package com.yidianling.router.fm

import android.app.Activity
import android.content.Intent
import com.yidianling.router.iRouter.BaseRouter

interface IFMRouter : BaseRouter{

    fun fmDetailIntent(activity: Activity, id: Int): Intent

    fun fmDetailIntent(activity: Activity, id: Int, isSplash: Boolean): Intent

    fun getFmId(): Int

    fun closePlayer()

    fun isPlaying(): Boolean

    fun replay()

    fun pause()
}